package com.ruoyi.brewery.mapper;

import java.util.List;
import com.ruoyi.brewery.domain.WyBeerReviewReply;

/**
 * 酒评回复Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface WyBeerReviewReplyMapper 
{
    /**
     * 查询酒评回复
     * 
     * @param id 酒评回复主键
     * @return 酒评回复
     */
    public WyBeerReviewReply selectWyBeerReviewReplyById(Long id);

    /**
     * 查询酒评回复列表
     * 
     * @param wyBeerReviewReply 酒评回复
     * @return 酒评回复集合
     */
    public List<WyBeerReviewReply> selectWyBeerReviewReplyList(WyBeerReviewReply wyBeerReviewReply);

    /**
     * 新增酒评回复
     * 
     * @param wyBeerReviewReply 酒评回复
     * @return 结果
     */
    public int insertWyBeerReviewReply(WyBeerReviewReply wyBeerReviewReply);

    /**
     * 修改酒评回复
     * 
     * @param wyBeerReviewReply 酒评回复
     * @return 结果
     */
    public int updateWyBeerReviewReply(WyBeerReviewReply wyBeerReviewReply);

    /**
     * 删除酒评回复
     * 
     * @param id 酒评回复主键
     * @return 结果
     */
    public int deleteWyBeerReviewReplyById(Long id);

    /**
     * 批量删除酒评回复
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBeerReviewReplyByIds(Long[] ids);

    public int deleteWyBeerReviewReplyByReviewId(Long reviewId);
}
